QGIS Application - Feature request #5378
Add OTB doc links
2012-04-16 10:16 AM - Julien Malik

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 15060
Description

Pointers to the http-accessible docs should be made available.

Like :
http://www.orfeo-toolbox.org/CookBook/CookBooksu59.html#x85-3950004.8.1

Related issues:
Related to QGIS Application - Feature request # 12449: Show <description> to ... Rejected 2015-03-25

History

#1 - 2012-04-16 10:16 AM - Julien Malik
- Assignee set to Julien Malik

#2 - 2012-04-17 04:33 AM - Paolo Cavallini
- Category set to 57

#3 - 2012-06-12 10:56 AM - Julien Malik

- File generate_application_descriptors.py added
- File test.css added

Attaching a first version of a helper script generating the docs in rst then rendering them in html.

#4 - 2012-06-12 10:57 AM - Julien Malik
- File generate_application_doc.py added

Screw me ! wrong file...

#5 - 2012-06-12 10:57 AM - Julien Malik

- File deleted (generate_application_descriptors.py)

#6 - 2012-06-12 10:58 AM - Julien Malik

The doc generator script depends on the OTB python bindings (python-otb package on Debian based distros)

#7 - 2014-10-04 11:45 AM - Giovanni Manghi

- Project changed from 78 to QGIS Application
- Category deleted (57)
http://www.orfeo-toolbox.org/CookBook/CookBooksu59.html#x85-3950004.8.1

#8 - 2014-10-04 11:46 AM - Giovanni Manghi
- Category set to 120

#9 - 2014-10-04 11:47 AM - Giovanni Manghi
- Assignee changed from Julien Malik to Victor Olaya

#10 - 2017-01-24 02:54 AM - Alexander Bruy
- Status changed from Open to Closed
- Resolution set to fixed/implemented

Right now OTB docs generated along with the algorithm descriptions. Please reopen if necessary.

#11 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No

#12 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#13 - 2017-05-01 11:06 AM - Giovanni Manghi
- Category changed from 120 to Processing/Core

Files

test.css 17.2 KB 2012-06-12 Julien Malik

generate_application_doc.py 6.02 KB 2012-06-12 Julien Malik
